% Calcolo dell'intervallo di confidenza per una VA Gaussiana di media
% incognita e varianza nota
%
clear all
clc

% Caricamento dei dati e definizione della varianza
dati = load('datiCI1.txt');
varianza = 0.1;

% Definizione del livello di confidenza gamma
gamma = 0.9;

% Calcolo di c tale che F(c) - F(-c) = gamma dove F = CDF(N(0,1))
c = norminv(0.5 + gamma/2);

% Calcolo della costante k
k = c*sqrt(varianza)/sqrt(length(dati));

% Calcolo della media e degli estremi degli intervalli
media = mean(dati)
g1 = media - k
g2 = media + k