% Calcolo degli intervalli di confidenza per una VA Gaussiana di media
% varianza non note
%
clear all
clc

% Caricamento dei dati
dati = load('datiCI1.txt');
N = length(dati);

% Definizione del livello di confidenza gamma
gamma = 0.9;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Calcolo di CI per la media %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Calcolo di c tale che F(c) = 0.5*(1 + gamma) dove F = CDF(T(N-1))
c = tinv(0.5*(1 + gamma),N - 1);

% Calcolo della costante k
k = c*std(dati)/sqrt(N);

% Calcolo della media e degli estremi degli intervalli
media = mean(dati)
g1 = media - k
g2 = media + k

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Calcolo di CI per la varianza %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Calcolo di c1 e c2 tali che F(c1) = 0.5*(1 - gamma) e F(c2) = 
% 0.5*(1 - gamma) dove F = CDF(chi2(N-1))
c1 = chi2inv(0.5*(1 - gamma),N - 1);
c2 = chi2inv(0.5*(1 + gamma),N - 1);

% Calcolo delle costanti k1 e k2
k1 = (N - 1)*var(dati)/c1;
k2 = (N - 1)*var(dati)/c2;

% Calcolo della varianza e degli estremi degli intervalli
varianza = var(dati)
g1v = k2
g2v = k1